curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"DiscountTicket\", \"id\": \"DIST_STlYDJVoREr3ac47jzf8_DA14Jg\", \"vid\": \"c9512b9217274f037b29e57640bf5070fe564fcc\", \"state\": \"Active\", \"added_date\": \"2021-06-18T13:49:51-07:00\", \"start_billing_sequence\": 0, \"end_billing_sequence\": 0, \"campaign_id\": \"PROMO1_campaign_mbjUhpf-vf_dV1wabhfexablOb4\" }, { \"object\": \"DiscountTicket\", \"id\": \"DIST_STlYDJVoREr3ac47jzf8_DA13Kt\", \"vid\": \"d1f0050ca5482db5df190e48d96b07c37467fbba\", \"state\": \"Active\", \"added_date\": \"2021-06-18T13:50:00-07:00\", \"start_billing_sequence\": 0, \"end_billing_sequence\": 0, \"campaign_id\": \"PROMO2_campaign_srbUhpf-vf_dV1wabhfexablOg2\" } ], \"total_count\": 2, \"url\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg\", \"next\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg&starting_after=DIST_STlYDJVoREr3ac47jzf8_DA13Kt\", \"previous\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg&ending_before=DIST_STlYDJVoREr3ac47jzf8_DA14Jg\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"Route is not available for Merchant Configuration\" }"{
"code": "<string>",
"message": "<string>"
}List All Discount Tickets
Retrieves a list of Discount Tickets. This can be used to get a list of Discount Tickets per a Subscription or per a given Account. Only supported for Stackable Discounts.
Note: The call returns all redeemed and active discount tickets by default. Use Fetch all query parameters if discount tickets in other states are also required.
curl --request GET \
--url https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://virtserver.swaggerhub.com/Amdocs_Media/Subscribe_API_WIP/2024.09/discount_tickets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body"{ \"object\": \"List\", \"data\": [ { \"object\": \"DiscountTicket\", \"id\": \"DIST_STlYDJVoREr3ac47jzf8_DA14Jg\", \"vid\": \"c9512b9217274f037b29e57640bf5070fe564fcc\", \"state\": \"Active\", \"added_date\": \"2021-06-18T13:49:51-07:00\", \"start_billing_sequence\": 0, \"end_billing_sequence\": 0, \"campaign_id\": \"PROMO1_campaign_mbjUhpf-vf_dV1wabhfexablOb4\" }, { \"object\": \"DiscountTicket\", \"id\": \"DIST_STlYDJVoREr3ac47jzf8_DA13Kt\", \"vid\": \"d1f0050ca5482db5df190e48d96b07c37467fbba\", \"state\": \"Active\", \"added_date\": \"2021-06-18T13:50:00-07:00\", \"start_billing_sequence\": 0, \"end_billing_sequence\": 0, \"campaign_id\": \"PROMO2_campaign_srbUhpf-vf_dV1wabhfexablOg2\" } ], \"total_count\": 2, \"url\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg\", \"next\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg&starting_after=DIST_STlYDJVoREr3ac47jzf8_DA13Kt\", \"previous\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg&ending_before=DIST_STlYDJVoREr3ac47jzf8_DA14Jg\" }"{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}"{ \"object\": \"Error\", \"message\": \"Route is not available for Merchant Configuration\" }"{
"code": "<string>",
"message": "<string>"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Limit the discount ticket list to a specified subscription id or vid A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128Limit the discount ticket list to a specified account id or vid A unique identifier. Optionally, this object can also be identified by its vid. Using a unique custom identifier is strongly encouraged.
128A boolean parameter that allows you to list all the discount tickets including ones there are in inactive or redemption failed states.
A boolean parameter that indicates whether to return discount tickets for subscriptions
A boolean parameter that indicates whether to return discount tickets for transactions
A limit on the number of objects to be returned, between 1 and 100.
1 <= x <= 100A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.
Response
JSON - A list array with a data property that contains an array of Discount Tickets per an Account or Subscription, starting after the specified starting_after (or ending before the specified ending_before Discount Ticket).
A list of DiscountTickets objects matching the query. Also:
-
"total_count": Integer count of the number of Discount Tickets in the returned list.
-
"url": The query string provided in the request
-
"next": The route (partial URL) to the next Discount Ticket object (string to select the "next"); included id should match that of the last object returned here
-
"previous": The route (partial URL) to the previous Discount Ticket object (string to select the "previous"); included id should match that of the first object returned here
List Integer count of the number of items in the returned list.
Show child attributes
Show child attributes
The query string provided in the request
The route (partial URL) to the next Discount Ticket object (string to select the “next”); included id should match that of the last object returned here.
The route (partial URL) to the previous Discount Ticket object (string to select the “previous”); included id should match that of the first object returned here.
"{ \"object\": \"List\", \"data\": [ { \"object\": \"DiscountTicket\", \"id\": \"DIST_STlYDJVoREr3ac47jzf8_DA14Jg\", \"vid\": \"c9512b9217274f037b29e57640bf5070fe564fcc\", \"state\": \"Active\", \"added_date\": \"2021-06-18T13:49:51-07:00\", \"start_billing_sequence\": 0, \"end_billing_sequence\": 0, \"campaign_id\": \"PROMO1_campaign_mbjUhpf-vf_dV1wabhfexablOb4\" }, { \"object\": \"DiscountTicket\", \"id\": \"DIST_STlYDJVoREr3ac47jzf8_DA13Kt\", \"vid\": \"d1f0050ca5482db5df190e48d96b07c37467fbba\", \"state\": \"Active\", \"added_date\": \"2021-06-18T13:50:00-07:00\", \"start_billing_sequence\": 0, \"end_billing_sequence\": 0, \"campaign_id\": \"PROMO2_campaign_srbUhpf-vf_dV1wabhfexablOg2\" } ], \"total_count\": 2, \"url\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg\", \"next\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg&starting_after=DIST_STlYDJVoREr3ac47jzf8_DA13Kt\", \"previous\": \"/discount_tickets?fetch_all=1&subscription=STlYDJVoREr3ac47jzf8_DA14Jg&ending_before=DIST_STlYDJVoREr3ac47jzf8_DA14Jg\" }"

